package com.bonus.sgzb.base.service;

import com.bonus.sgzb.base.domain.BmProjectInfo;
import com.bonus.sgzb.common.core.web.domain.AjaxResult;

import java.util.List;

public interface BmProjectInfoService {
    public List<BmProjectInfo> getProjectInfoAll(BmProjectInfo bmProjectInfo);

    public List<BmProjectInfo> getProjectInfo(BmProjectInfo bmProjectInfo);

    public List<BmProjectInfo> getProjectLot();

    public AjaxResult projectInfoAdd(BmProjectInfo bmProjectInfo);

    public void remove(Long[] proIds);

    public AjaxResult updateBmProjectInfo(BmProjectInfo bmProjectInfo);

    public int deleteProjectInfoById(Long proId);

    String importBmProjectInfo(List<BmProjectInfo> bmProjectInfoList, boolean updateSupport);
}
